Bug 103427 - Make security/gnupg properly depend on ftp/curl
Make security/gnupg properly depend on ftp/curl
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 15:40 UTC by roam
Modified: 2006-10-11 13:37 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1002 bytes, patch)
2006-09-20 15:40 UTC, roam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description roam freebsd_committer 2006-09-20 15:40:31 UTC
Recent versions of GnuPG try to look for and use cURL, if available, for
sending and fetching PGP keys from the public keyservers.  Thus, currently
security/gnupg has a hidden dependency on ftp/curl, if it was installed at
the time GnuPG is compiled.

How-To-Repeat: 
Install ftp/curl.  Build security/gnupg.  Run ldd(1) on the gnupg executable.
Comment 1 Edwin Groothuis freebsd_committer 2006-09-20 15:41:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer
Comment 2 dfilter freebsd_committer 2006-10-05 14:37:23 UTC
roam        2006-10-05 13:37:17 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile 
  Log:
  Fix GnuPG's hidden dependency on cURL - add cURL support to OPTIONS and
  either explicitly depend on it, or disable it in the configure options.
  
  PR:             103427
  Silence from:   kuriyama (maintainer)
  
  Revision  Changes    Path
  1.89      +12 -1     ports/security/gnupg/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 roam freebsd_committer 2006-10-11 13:36:22 UTC
State Changed
From-To: open->closed

I actually committed this.